Package: org.codehaus.groovy.control.customizers

## [Java] Class DelegatingCustomizer

- org.codehaus.groovy.control.customizers.DelegatingCustomizer

- Base class for compilation customizers which delegate to another customizer. The phase this customizer runs at is retrieved from the phase of the delegate.

  Authors:
    Cedric Champeau
  Since:
    2.1.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected CompilationCustomizer` | `delegate` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DelegatingCustomizer (CompilationCustomizer delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CompilationCustomizer` | `getPhase`

- - ### Field Detail

    - #### protected final CompilationCustomizer delegate

  - ### Constructor Detail

    - #### public DelegatingCustomizer(CompilationCustomizer delegate)

  - ### Method Detail

    - #### @Override public void call(SourceUnit source, GeneratorContext context, ClassNode classNode)